
%Written by Carita Gyldenskog Ranvik, Trondheim 10.06.2019%Statistical fuel consumption
function [cons_v]=stat_fuel_con(sfoc,P_B,Vreq,p_HsTp)

% clc
% clear all
%statistical data
% addpath('C:\Users\Carita\OneDri...UPDATEADRESS')
% load('p_HsTp.mat');
%fuel consumption data
% addpath('C:\Users\Carita\OneDrive for Business\Skole\Master Thesis\MATLAB code\preprocessing fo data for simulation\Fuel consumption')
% load('isl_workspace.mat','sfoc','P_B','Vreq');
% t_p=3.5:1:17.5;
% h_s=1:14;
% v=1:25;
  
%Declearing variables
[x,y,z,~]=size(sfoc);
%stat_fuel_con=zeros(x,y,z);
stat_fuel_con=zeros(1,z); %statistical fuel consumption at a given speed [g/kWH]
for i=1:z % v
    for j=1:y % Hs
        for k=1:x %Tp
            %stat_fuel_con(k,j,i)=HsTp_stat(k,j)*Fuel_con_headwaves(k,j,i);
            stat_fuel_con(i)=stat_fuel_con(i)+p_HsTp(k,j)*sfoc(k,j,i,1)*P_B(k,j,i,1)/(Vreq(i)*10^9); %[tonne/nm]
            %sfoc(k,j,i,=1) because we only consider headwaves
        end
    end
    
end
cons_v=stat_fuel_con; %[g/kWh]
save('stat_fuel_data.mat','cons_v','stat_fuel_con')
save('stat_fuel_ranges.mat','x','y','z')
%Begge matrisene m ha lik skala for Hs of Tp for at dette skal bli
%riktig. M dele matrisen p simmen av matrise for  korrigere for feil.
%summen skal bli 1. 

end

